using System.ComponentModel.DataAnnotations;

namespace bitforum.DTOs.Request
{
    /// <summary>
    /// 이메일 변경 요청 DTO
    /// </summary>
    public class ChangeEmailDto
    {
        [Required(ErrorMessage = "회원 ID를 입력해주세요.")]
        public required int ID { get; set; }

        [Required(ErrorMessage = "이메일을 입력해주세요.")]
        [StringLength(60, ErrorMessage = "이메일은 60자 이내로 입력해주세요.")]
        public required string Email { get; set; }
    }
}
